import http from "@/utils/request"
import common from "@/utils/common"

export default {
    organizationSelectList: {
		method: 'GetOrganizationSelectList',
		name: "机构下拉列表",
		post: async function (data = {}) {
            return await http.post({
                "jsonrpc": "2.0",
                "id": common.guid(),
                "method": this.method,
                "params": [data]
            });
        }
	},
    departmentSelectList: {
		method: 'GetDepartmentSelectList',
		name: "科室下拉列表",
		post: async function (params) {
            var data = {
                'OrganizationCode': params.organizationCode
            }
            return await http.post({
                "jsonrpc": "2.0",
                "id": common.guid(),
                "method": this.method,
                "params": [data]
            });
        }
	},
    getOrganizationDirectors: {
		method: 'GetOrganizationDirectors',
		name: "查询机构负责人",
		post: async function (organizationCode) {
            var data = {
                'OrganizationCode': organizationCode
            }
            return await http.post({
                "jsonrpc": "2.0",
                "id": common.guid(),
                "method": this.method,
                "params": [data]
            });
        }
	},
}
